FileStorage

This service provides functionality to manage assets and generate pdf. You can upload the assets, get the cdn link for the assets, proxy the assets and many more things.

File Browse

Browse files by fetching all files in a directory based on the provided namespace, query, and request body parameters. It determines the directory path, retrieves paginated files accordingly, and serializes the response for further processing. This method optimizes directory browsing functionality within the system.

Operations
GET
/service/platform/assets/v1.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/browse
# Application browse files.
GET

Application browse files.

Browse files within an application.
Parameters
namespacepath
string
Required
Segregation of different types of files(products, orders, logistics etc), Required for validating the data of the file being uploaded, decides where exactly the file will be stored inside the storage bucket.
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
pagequery
integer
page no
limitquery
integer
Limit
searchquery
string
Search
GET
/service/platform/assets/v1.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/browse
Loading...
Response
200
400
Success
Hide
items
array of object
Show
page
object
Show
Response
Loading...

File Transfer Suite

Enable seamless file management within application and across external sources. It copy files, ensuring data replication and backup for various purposes. Additionally, browse, navigate, and utilize proxy functionality for interacting with files and performing operations on them within the platform

Operations
POST
/service/platform/assets/v1.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/browse
# Browse Files
POST

Browse Files

Browse Files
Parameters
namespacepath
string
Required
Segregation of different types of files(products, orders, logistics etc), Required for validating the data of the file being uploaded, decides where exactly the file will be stored inside the storage bucket.
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
pagequery
integer
page no
limitquery
integer
Limit
searchquery
string
Search
Request body
extension_slug
string
POST
/service/platform/assets/v1.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/browse
Loading...
Response
200
400
Success
Hide
items
array of object
Show
page
object
Show
Response
Loading...

File Upload and Management

File upload is a feature that enables users to upload files from their device to a designated storage location in the system. The process of uploading begins by validating user parameters and organizing files into different groups based on their type using something called a "namespace". This helps in storing the files into Public and Private buckets Private - The files stored in private bucket is accessible via getSignedUrl method for a temporary duration. Public - The files stored in public bucket is accessible via cdn url Seller initiate the upload process by selecting files through drag-and-drop, pre-existing images, choosing from your device, uploading via URL, or entering an image URL. 1. Start Upload - Once seller calls start upload will receive a signed URL to initiate the upload process. 2. Utilize a Google Cloud Platform (GCP) method to upload the file through the obtained signed URL. 3. Complete File upload - Important file details such as name, size, content type, and namespace are collected and linked to maintain data integrity within the system's database. Once you upload a file, you receive a message with all the details about where your file is stored, including a secure URL for uploading files to the designated storage and a CDN (Content Delivery Network) URL for future accessibility. Furthermore, the system sets an expiration time for access links(signed Url) enhancing security measures.

Operations
POST
/service/platform/assets/v2.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/upload/start
# Application start upload.
POST
/service/platform/assets/v2.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/upload/complete
# Application complete upload.
POST

Application start upload.

Start uploading a file from an application and returns a storage link in response.
Parameters
namespacepath
string
Required
Segregation of different types of files(products, orders, logistics etc), Required for validating the data of the file being uploaded, decides where exactly the file will be stored inside the storage bucket.
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
Request body
file_name
string
Required
content_type
string
Required
size
integer
Required
tags
array of string
params
object
POST
/service/platform/assets/v2.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/upload/start
Loading...
Response
200
400
Success. Returns a response containing relaving and absolute_url of storage service
Hide
file_name
string
file_path
string
content_type
string
method
string
namespace
string
operation
string
size
integer
upload
object (Upload)
Show
tags
array of string
Response
Loading...
POST

Application complete upload.

Finish uploading a file from an application.
Parameters
namespacepath
string
Required
Segregation of different types of files(products, orders, logistics etc), Required for validating the data of the file being uploaded, decides where exactly the file will be stored inside the storage bucket.
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
Request body
file_name
string
Required
file_path
string
Required
content_type
string
Required
method
string
namespace
string
Required
operation
string
Required
size
integer
Required
upload
object (Upload)
Required
Show
tags
array of string
POST
/service/platform/assets/v2.0/company/{company_id}/application/{application_id}/namespaces/{namespace}/upload/complete
Loading...
Response
200
400
Success
Hide
_id
string
file_name
string
file_path
string
content_type
string
namespace
string
operation
string
company_id
number
size
integer
upload
object (Upload)
Show
cdn
object (CDN)
Show
success
boolean
tags
array of string
created_on
string
| date-time
modified_on
string
| date-time
created_by
object (CreatedBy)
Show
Response
Loading...